﻿using AbstractSoftwareInstallationContracts.BindingModels;
using AbstractSoftwareInstallationContracts.SearchModels;
using AbstractSoftwareInstallationContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractSoftwareInstallationContracts.BusinessLogicsContracts
{
    public interface ISoftwareLogic
    {
        List<SoftwareViewModel>? ReadList(SoftwareSearchModel? model);
        SoftwareViewModel? ReadElement(SoftwareSearchModel model);
        bool Create(SoftwareBindingModel model);
        bool Update(SoftwareBindingModel model);
        bool Delete(SoftwareBindingModel model);
    }
}
