﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AbstractSoftwareInstallationContracts.BindingModels;
using AbstractSoftwareInstallationContracts.SearchModels;
using AbstractSoftwareInstallationContracts.ViewModels;


namespace AbstractSoftwareInstallationContracts.StoragesContracts
{
    public interface IPackageStorage
    {
        List<PackageViewModel> GetFullList();
        List<PackageViewModel> GetFilteredList(PackageSearchModel model);
        PackageViewModel? GetElement(PackageSearchModel model);
        PackageViewModel? Insert(PackageBindingModel model);
        PackageViewModel? Update(PackageBindingModel model);
        PackageViewModel? Delete(PackageBindingModel model);
    }
}
