﻿using AbstractSoftwareInstallationDataModels.Models;
using System.ComponentModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractSoftwareInstallationContracts.ViewModels
{
    public class PackageViewModel : IPackageModel
    {
        public int Id { get; set; }
        [DisplayName("Имя пакета")]
        public string PackageName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (ISoftwareModel, int)> PackageSoftware
        {
            get;
            set;
        } = new();

    }
}
