﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractSoftwareInstallationDatabaseImplement.Models
{
    public class PackageSoftware
    {
        public int Id { get; set; }
        [Required]
        public int PackageId { get; set; }
        [Required]
        public int SoftwareId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Software Software { get; set; } = new();
        public virtual Package Package { get; set; } = new();
    }
}
