﻿using System;
using System.ComponentModel;
using AbstractSoftwareInstallationDataModels;
using AbstractSoftwareInstallationDataModels.Models;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractSoftwareInstallationContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
       
        [DisplayName("Номер заказа")]
        public int Id { get; set; }
        public int PackageId { get; set; }
        [DisplayName("Пакет")]
        public string PackageName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выдачи")]
        public DateTime? DateImplement { get; set; }
    }
}
